include(../../qt4/common.pro)

TEMPLATE = lib
CONFIG += plugin

# to include util.h and for quimplatforminputcontext.cpp
INCLUDEPATH += ./../../qt4/candwin \
               ./../../qt4/immodule \
               .

LIBS += -Wl,-rpath,/usr/X11R7/lib -L/usr/X11R7/lib -lX11  -luim-counted-init

QT += gui-private

# Input
HEADERS += ./quimplatforminputcontext.h \
           ./../../qt4/immodule/candidatewindowproxy.h \
           ./../../qt4/immodule/caretstateindicator.h \
           ./../../qt4/immodule/plugin.h \
           ./../../qt4/immodule/qhelpermanager.h \
           ./../../qt4/immodule/qtextutil.h \
           ./../../qt4/immodule/quiminfomanager.h \
           ./../../qt4/candwin/util.h

SOURCES += ./quimplatforminputcontext.cpp \
           ./../../qt4/immodule/candidatewindowproxy.cpp \
           ./../../qt4/immodule/caretstateindicator.cpp \
           ./../../qt4/immodule/plugin.cpp \
           ./../../qt4/immodule/qhelpermanager.cpp \
           ./../../qt4/immodule/qtextutil.cpp \
           ./../../qt4/immodule/quiminfomanager.cpp \
           ./../../qt4/candwin/util.cpp

!win32:!embedded:!mac {
    HEADERS += ./../../qt4/immodule/quiminputcontext_compose.h
    SOURCES += ./../../qt4/immodule/quiminputcontext_compose.cpp
    QT += x11extras
}

OTHER_FILES += uim.json

TARGET = uimplatforminputcontextplugin
DESTDIR = 
target.path += $$[QT_INSTALL_PLUGINS]/platforminputcontexts
